#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-DyXrJF7wHOF3FAf8992Y7K-dns-internal
key:                  dns-4.0.1-DyXrJF7wHOF3FAf8992Y7K-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  b3a8e44fa5a299bbe3c4d0982012b94a
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-DyXrJF7wHOF3FAf8992Y7K-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-LZV3LPqAzY3FXcRzmdvJXN
    attoparsec-0.14.4-DMcS99nTm58Eee5UCcw5RC
    auto-update-0.1.6-JIPPwhDlT39DbWejOQaJ1J base-4.15.1.0
    base16-bytestring-1.0.2.0-CVNidWeJUzxBcRvOrpnFpf
    base64-bytestring-1.2.1.0-HEQxSB8A48p9GgtQTdJmdN
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-L4fqd7brJ5d8pR74GwVhWw
    hourglass-0.2.12-m3S631ZPtcHsr3o0w6XtG
    iproute-1.7.12-5RGiCtBPpkmAZsHkM7h9hH mtl-2.2.2
    network-3.1.2.7-IOzKcVzyp93ERMKYVerDZf
    psqueues-0.2.7.3-5xXYTulgMDr27h5DoH9v4R

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-4HqP23X3MVmF8YzoPt73L9
key:                  dns-4.0.1-4HqP23X3MVmF8YzoPt73L9
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  c9fcfcc811b3e796492e2c4d6ebd3920
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-4HqP23X3MVmF8YzoPt73L9
depends:
    array-0.5.4.0 async-2.2.4-LZV3LPqAzY3FXcRzmdvJXN
    attoparsec-0.14.4-DMcS99nTm58Eee5UCcw5RC
    auto-update-0.1.6-JIPPwhDlT39DbWejOQaJ1J base-4.15.1.0
    base16-bytestring-1.0.2.0-CVNidWeJUzxBcRvOrpnFpf
    base64-bytestring-1.2.1.0-HEQxSB8A48p9GgtQTdJmdN
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-L4fqd7brJ5d8pR74GwVhWw
    dns-4.0.1-DyXrJF7wHOF3FAf8992Y7K-dns-internal
    hourglass-0.2.12-m3S631ZPtcHsr3o0w6XtG
    iproute-1.7.12-5RGiCtBPpkmAZsHkM7h9hH mtl-2.2.2
    network-3.1.2.7-IOzKcVzyp93ERMKYVerDZf
    psqueues-0.2.7.3-5xXYTulgMDr27h5DoH9v4R

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

